{
  "name": "simulator",
  "version": "0.0.0",
  "license": "MIT",
  "scripts": {
    "ng": "nx",
    "postinstall": "node ./decorate-angular-cli.js && ngcc --properties es2015 browser module main --first-only --create-ivy-entry-points",
    "nx": "nx",
    "start": "ng serve",
    "build": "ng build",
    "test": "ng test",
    "lint": "nx workspace-lint && ng lint",
    "e2e": "ng e2e",
    "affected:apps": "nx affected:apps",
    "affected:libs": "nx affected:libs",
    "affected:build": "nx affected:build",
    "affected:e2e": "nx affected:e2e",
    "affected:test": "nx affected:test",
    "affected:lint": "nx affected:lint",
    "affected:dep-graph": "nx affected:dep-graph",
    "affected": "nx affected",
    "format": "nx format:write",
    "format:write": "nx format:write",
    "format:check": "nx format:check",
    "update": "nx migrate latest",
    "workspace-generator": "nx workspace-generator",
    "dep-graph": "nx dep-graph",
    "help": "nx help"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^11.2.0",
    "@angular/cdk": "^11.2.11",
    "@angular/common": "^11.2.0",
    "@angular/compiler": "^11.2.0",
    "@angular/core": "^11.2.0",
    "@angular/fire": "^6.1.4",
    "@angular/forms": "^11.2.0",
    "@angular/material": "^11.2.11",
    "@angular/platform-browser": "^11.2.0",
    "@angular/platform-browser-dynamic": "^11.2.0",
    "@angular/router": "^11.2.0",
    "@angular/service-worker": "^11.2.0",
    "@nestjs/common": "^7.0.0",
    "@nestjs/core": "^7.0.0",
    "@nestjs/passport": "^7.1.5",
    "@nestjs/platform-express": "^7.0.0",
    "@nestjs/platform-fastify": "^7.6.15",
    "@nestjs/typeorm": "^7.1.5",
    "@nestjsx/crud": "^5.0.0-alpha.3",
    "@nestjsx/crud-typeorm": "^5.0.0-alpha.3",
    "@ngneat/dialog": "^1.6.0",
    "@ngneat/svg-icon": "^3.1.1",
    "@ngneat/until-destroy": "^8.0.4",
    "@ngrx/component-store": "^11.1.1",
    "@nrwl/angular": "11.4.0",
    "@nxtend/firebase": "^11.1.2",
    "@sendgrid/mail": "^7.4.4",
    "@swimlane/ngx-charts": "^17.0.1",
    "@tfarras/nestjs-firebase-admin": "^2.0.1",
    "@tfarras/nestjs-firebase-auth": "^2.0.0",
    "fastify-compress": "^3.4.2",
    "fastify-cookie": "^5.3.0",
    "fastify-helmet": "^5.3.1",
    "fastify-rate-limit": "^5.5.0",
    "fastify-swagger": "^4.7.0",
    "file-saver": "^2.0.5",
    "firebase": "^8.6.0",
    "hammerjs": "^2.0.8",
    "immer": "^9.0.2",
    "moment": "^2.29.1",
    "mysql": "^2.18.1",
    "nest-router": "^1.0.9",
    "ngrx-immer": "^0.0.5",
    "ngx-dates-picker": "^9.0.2",
    "ngx-device-detector": "^2.0.10",
    "ngx-moment": "^5.0.0",
    "ngx-toastr": "^14.0.0",
    "passport": "^0.4.1",
    "passport-jwt": "^4.0.0",
    "reflect-metadata": "^0.1.13",
    "rxjs": "~6.6.3",
    "technicalindicators": "^3.1.0",
    "tslib": "^2.0.0",
    "typeorm": "^0.2.32",
    "xlsx": "^0.16.9",
    "zone.js": "^0.10.2"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~0.1102.0",
    "@angular-eslint/eslint-plugin": "~1.0.0",
    "@angular-eslint/eslint-plugin-template": "~1.0.0",
    "@angular-eslint/template-parser": "~1.0.0",
    "@angular/cli": "~11.2.11",
    "@angular/compiler-cli": "^11.2.0",
    "@angular/language-service": "^11.2.0",
    "@hapi/joi": "^17.1.1",
    "@nestjs/config": "^0.6.3",
    "@nestjs/schematics": "^7.0.0",
    "@nestjs/swagger": "^4.8.0",
    "@nestjs/testing": "^7.0.0",
    "@ngneat/spectator": "^7.1.0",
    "@ngneat/tailwind": "^7.0.3",
    "@nrwl/cli": "11.4.0",
    "@nrwl/cypress": "11.4.0",
    "@nrwl/eslint-plugin-nx": "11.4.0",
    "@nrwl/jest": "11.4.0",
    "@nrwl/linter": "11.4.0",
    "@nrwl/nest": "11.4.0",
    "@nrwl/node": "11.4.0",
    "@nrwl/nx-cloud": "^12.0.2",
    "@nrwl/tao": "11.4.0",
    "@nrwl/workspace": "11.4.0",
    "@tailwindcss/custom-forms": "^0.2.1",
    "@tailwindcss/forms": "^0.3.2",
    "@types/jest": "26.0.8",
    "@types/node": "12.12.38",
    "@typescript-eslint/eslint-plugin": "4.3.0",
    "@typescript-eslint/parser": "4.3.0",
    "autoprefixer": "^10.2.5",
    "class-transformer": "^0.4.0",
    "class-validator": "^0.13.1",
    "cypress": "^6.0.1",
    "dotenv": "6.2.0",
    "eslint": "7.10.0",
    "eslint-config-prettier": "6.0.0",
    "eslint-plugin-cypress": "^2.10.3",
    "husky": "^6.0.0",
    "jest": "26.2.2",
    "jest-preset-angular": "8.3.2",
    "lint-staged": "^10.5.4",
    "postcss": "^8.2.13",
    "prettier": "2.2.1",
    "tailwindcss": "^2.1.2",
    "ts-jest": "26.4.0",
    "ts-node": "~9.1.1",
    "typescript": "~4.0.3"
  },
  "lint-staged": {
    "nx.json": [
      "yarn nxpm-stack lint",
      "yarn format:write"
    ],
    "*.{js,json,css,scss,md,ts,html,graphql}": [
      "yarn format:write"
    ]
  }
}
